package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;

/***
 * 计算优惠券实体类参数
 */
@Data
public class CalCouponAmtInfo {
    private String cardEnabledFlag;         //是否开启电子卡
    private String couponType;              //优惠券类型
    private BigDecimal receivableAmt;       //应收金额
    private BigDecimal couponAmt;           //优惠券优惠金额
    private BigDecimal dzkAmt;              //电子卡支付金额
    private BigDecimal amt;                 //实付金额
    private String isCardFlag;              //优惠券优惠是否与电子卡支付共享
    private String isMarketFlag;            //优惠券优惠是否与营销方案共享
    private String isGradeFlag;             //优惠券优惠是否与等级共享
}
