package com.platform.yijia.service;

import com.platform.yijia.pojo.StationOilGun;

import java.util.List;
import java.util.Map;

public interface StationOilGunService {
    //油枪管理
    List<StationOilGun> stationOilGunList(StationOilGun stationOilGun);

    //根据油站Id油枪号获取打印机编号
    Map<String, Object> getPrinterSnByStationIdAndOilGunNo(Map<String, Object> params);

    //根据油站Id油枪号获取打印机编号
    List<Map<String, Object>> getPrinterSnByStationIdAndOilGunNoList(Map<String, Object> params);

    //根据加油员获取油枪列表信息
    List<Map<String, Object>> selectOilGunByPersonalId(Map<String, Object> params);

    //获取油站所有油枪
    List<Map<String, Object>>  selectStationAllOilGun(Map<String, Object> params);

}
