package com.platform.yijia.pojo;

import lombok.Data;

import java.util.Date;

/**
 *  用户进入领取界面的次数记录表
 */
@Data
public class CouponUserGiveCount {
    private Integer id;               //数量
    private String unionId;           //用户unionId
    private Integer stationId;         //油站ID
    private String couponIssueId;     //领取方式
    private Integer issueGiveCount;    //用户能进入领取界面的次数
    private Date creteTime;          //创建时间
    private Date updateTime;         //更新时间
    private Integer giveCount;       // 领取方式表中字段：用户能进入领取界面的次数
    private String issueStatus;         //发放方式的状态
}
