package com.platform.yijia.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/***
 * 积分商品
 */
@Data
public class IntegralWares {
    private Integer id;                 //'商品主键id',
    private String waresName;           //'商品名称',
    private BigDecimal saleIntegral;    //'消费积分',
    private String waresPic;            //'商品图片',
    private String waresDetail;         //'商品详情',
    private Integer waresCount;         //库存
    private Integer waresOutCount;      //已售物品数量;
    private String waresStatus;         //'商品状态（1上架，2下架）',
    private Date createTime;            //'创建时间',
    private String createBy;            //'创建人id',
    private Date updateTime;            //'更新时间',
    private String updateBy;            //'更新人id',
    private Integer stationId;          //'油站ID',
}
